be.cin.mycarenet._1_0.carenet.types

## Class SingleNurseContractualCareUpdate

- java.lang.Object
- - be.cin.mycarenet._1_0.carenet.types.SingleNurseContractualCareUpdate

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-09-22T05:33:21+02:00",
                 comments="JAXB RI v2.2.11")
      public class SingleNurseContractualCareUpdate
      extends Object
      implements Serializable

  Java class for SingleNurseContractualCareUpdateType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SingleNurseContractualCareUpdateType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="CareReceiverDetail" type="{urn:be:cin:mycarenet:1.0:carenet:types}ExtCareReceiverDetailType"/>
               <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}NurseContractualCareUpdateDetail"/>
               <element name="NurseContractualCarePreviousDetail" type="{urn:be:cin:mycarenet:1.0:carenet:types}NurseContractualCareDetailType"/>
             </sequence>
             <attGroup ref="{urn:be:cin:mycarenet:1.0:carenet:types}MessageHeader"/>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingleNurseContractualCareUpdate()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExtCareReceiverDetailType` | `getCareReceiverDetail()` Gets the value of the careReceiverDetail property.
    `MessageNameType` | `getMessageName()` Gets the value of the messageName property.
    `NurseContractualCareDetailType` | `getNurseContractualCarePreviousDetail()` Gets the value of the nurseContractualCarePreviousDetail property.
    `NurseContractualCareUpdateDetail` | `getNurseContractualCareUpdateDetail()` Gets the value of the nurseContractualCareUpdateDetail property.
    `String` | `getReceiverReference()` Gets the value of the receiverReference property.
    `String` | `getSenderReference()` Gets the value of the senderReference property.
    `String` | `getVersion()` Gets the value of the version property.
    `boolean` | `isDuplicate()` Gets the value of the duplicate property.
    `boolean` | `isSynchronous()` Gets the value of the synchronous property.
    `boolean` | `isTestFlag()` Gets the value of the testFlag property.
    `void` | `setCareReceiverDetail(ExtCareReceiverDetailType value)` Sets the value of the careReceiverDetail property.
    `void` | `setDuplicate(boolean value)` Sets the value of the duplicate property.
    `void` | `setMessageName(MessageNameType value)` Sets the value of the messageName property.
    `void` | `setNurseContractualCarePreviousDetail(NurseContractualCareDetailType value)` Sets the value of the nurseContractualCarePreviousDetail property.
    `void` | `setNurseContractualCareUpdateDetail(NurseContractualCareUpdateDetail value)` Sets the value of the nurseContractualCareUpdateDetail property.
    `void` | `setReceiverReference(String value)` Sets the value of the receiverReference property.
    `void` | `setSenderReference(String value)` Sets the value of the senderReference property.
    `void` | `setSynchronous(boolean value)` Sets the value of the synchronous property.
    `void` | `setTestFlag(boolean value)` Sets the value of the testFlag property.
    `void` | `setVersion(String value)` Sets the value of the version property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleNurseContractualCareUpdate

          public SingleNurseContractualCareUpdate()

  - ### Method Detail

    - #### getCareReceiverDetail

          public ExtCareReceiverDetailType getCareReceiverDetail()

      Gets the value of the careReceiverDetail property.
      Returns:
        possible object is `ExtCareReceiverDetailType`

    - #### setCareReceiverDetail

          public void setCareReceiverDetail(ExtCareReceiverDetailType value)

      Sets the value of the careReceiverDetail property.
      Parameters:
        `value` - allowed object is `ExtCareReceiverDetailType`

    - #### getNurseContractualCareUpdateDetail

          public NurseContractualCareUpdateDetail getNurseContractualCareUpdateDetail()

      Gets the value of the nurseContractualCareUpdateDetail property.
      Returns:
        possible object is `NurseContractualCareUpdateDetail`

    - #### setNurseContractualCareUpdateDetail

          public void setNurseContractualCareUpdateDetail(NurseContractualCareUpdateDetail value)

      Sets the value of the nurseContractualCareUpdateDetail property.
      Parameters:
        `value` - allowed object is `NurseContractualCareUpdateDetail`

    - #### getNurseContractualCarePreviousDetail

          public NurseContractualCareDetailType getNurseContractualCarePreviousDetail()

      Gets the value of the nurseContractualCarePreviousDetail property.
      Returns:
        possible object is `NurseContractualCareDetailType`

    - #### setNurseContractualCarePreviousDetail

          public void setNurseContractualCarePreviousDetail(NurseContractualCareDetailType value)

      Sets the value of the nurseContractualCarePreviousDetail property.
      Parameters:
        `value` - allowed object is `NurseContractualCareDetailType`

    - #### getMessageName

          public MessageNameType getMessageName()

      Gets the value of the messageName property.
      Returns:
        possible object is `MessageNameType`

    - #### setMessageName

          public void setMessageName(MessageNameType value)

      Sets the value of the messageName property.
      Parameters:
        `value` - allowed object is `MessageNameType`

    - #### getVersion

          public String getVersion()

      Gets the value of the version property.
      Returns:
        possible object is `String`

    - #### setVersion

          public void setVersion(String value)

      Sets the value of the version property.
      Parameters:
        `value` - allowed object is `String`

    - #### isDuplicate

          public boolean isDuplicate()

      Gets the value of the duplicate property.

    - #### setDuplicate

          public void setDuplicate(boolean value)

      Sets the value of the duplicate property.

    - #### isTestFlag

          public boolean isTestFlag()

      Gets the value of the testFlag property.

    - #### setTestFlag

          public void setTestFlag(boolean value)

      Sets the value of the testFlag property.

    - #### getSenderReference

          public String getSenderReference()

      Gets the value of the senderReference property.
      Returns:
        possible object is `String`

    - #### setSenderReference

          public void setSenderReference(String value)

      Sets the value of the senderReference property.
      Parameters:
        `value` - allowed object is `String`

    - #### getReceiverReference

          public String getReceiverReference()

      Gets the value of the receiverReference property.
      Returns:
        possible object is `String`

    - #### setReceiverReference

          public void setReceiverReference(String value)

      Sets the value of the receiverReference property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSynchronous

          public boolean isSynchronous()

      Gets the value of the synchronous property.

    - #### setSynchronous

          public void setSynchronous(boolean value)

      Sets the value of the synchronous property.

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.